function qk= PN_tfire(act, t)
% Possible-to-fire transitions given PN outputs (act) and the time t
% see Petri Net (*.RDP)
%
% act: 1x6 : actuation signals for red1,green1,orange1,red2,green2,orange2
% t  : 1x1 : time
% qk : 1x6 : possible firing vector (to be filtered later with enabled
%            transitions)

% Transitions that qk may fire:
% t1,t2,t3: car1,endGreen1,endOrange1
% t4,t5,t6: car2,endGreen2,endOrange2

qk= pdinner_IO(act, t);
